Package org.zeromq

# Class ZMQForwarder

java.lang.Object
org.zeromq.ZMQForwarder

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `ZMQStreamer`

public class ZMQForwarder extends Object implements Runnable
ZeroMQ Forwarder Device implementation.

## Constructor Summary

Constructors
Constructor
Description
`ZMQForwarder(ZMQ.Context context, ZMQ.Socket inSocket, ZMQ.Socket outSocket)`
Class constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Forwarding messages.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZMQForwarder

public ZMQForwarder(ZMQ.Context context, ZMQ.Socket inSocket, ZMQ.Socket outSocket)
Class constructor.

Parameters:
  `context` - a 0MQ context previously created.
  `inSocket` - input socket
  `outSocket` - output socket

## Method Details

### run

public void run()
Forwarding messages.

Specified by:
  `run` in interface `Runnable`